create table roles_permissions
(
    role_id            text                            not null
        constraint roles_permissions_roles_id_fk
            references roles
            on update cascade on delete cascade,
    permission_id      text                            not null
        constraint roles_permissions_permissions_permission_fk
            references permissions
            on update cascade on delete cascade,
    role_permission_id uuid default uuid_generate_v1() not null
        constraint roles_permissions_pk_2
            primary key
);

create unique index roles_permissions_role_permission_id_uindex
    on roles_permissions (role_permission_id);

INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.event_management.view', 'a2ac9294-e4b3-11ea-ab3e-e86a6432fc61');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.view', 'a2ad8f1e-e4b3-11ea-ab3e-e86a6432fc61');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.resource_management.view', 'a2ae30fe-e4b3-11ea-ab3e-e86a6432fc61');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.dashboard.view', 'a2aeb7c2-e4b3-11ea-ab3e-e86a6432fc61');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('member', 'modules.dashboard.view', 'a2af63fc-e4b3-11ea-ab3e-e86a6432fc61');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.list.view', 'ff5a63e4-e71b-11ea-9387-a4c3f0e2b1e4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.view', '45bf2b6e-193d-11eb-aab5-e86a645407c8');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.edit', '62312536-1a32-11eb-9574-e86a642ef0c5');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('member', 'modules.configuration.fields.communication_types.view', '66f5052e-1a3c-11eb-9574-e86a642ef0c5');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.configuration.fields.communication_types.view', '66f62fe4-1a3c-11eb-9574-e86a642ef0c5');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.delete', '57221870-1ae7-11eb-98ca-a4c3f0e8cdb7');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.search', '8fa74146-1c6a-11eb-ac8d-e86a64e97ce1');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.qualifications.edit', '5d03484c-2170-11eb-9d03-e86a6481f7b8');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.communication.view', 'adb72014-2171-11eb-9d03-e86a6481f7b8');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.groups.view', '6813a728-241c-11eb-b21a-e86a64d15afc');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.view', '5bbc2b16-25ee-11eb-bb25-e86a644092b4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.members.view', '5bbd2a02-25ee-11eb-bb25-e86a644092b4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.members.edit', '5bbdf900-25ee-11eb-bb25-e86a644092b4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.edit', '5bbee55e-25ee-11eb-bb25-e86a644092b4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.delete', '5bbfc42e-25ee-11eb-bb25-e86a644092b4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.core.edit', '5bc085f8-25ee-11eb-bb25-e86a644092b4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.create', '7da2f954-278c-11eb-a7ba-e86a644092b4');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.permissions.view', '02668fca-3282-11eb-8766-e86a64433ce6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.groups.permissions.edit', '0268544a-3282-11eb-8766-e86a64433ce6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.iban_bic.view', '7a29dc26-3726-11eb-8f7d-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.iban_bic.edit', 'abcecbba-3726-11eb-8f7d-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.units.edit', '990c4fd2-373c-11eb-92e1-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.units.delete', '990d09fe-373c-11eb-92e1-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.units.create', '990db9e4-373c-11eb-92e1-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.units.members.view', '990e9eae-373c-11eb-92e1-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.units.members.edit', '990f68ac-373c-11eb-92e1-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.units.view', '991035c0-373c-11eb-92e1-e86a6413f6e6');
INSERT INTO roles_permissions (role_id, permission_id, role_permission_id) VALUES ('admin', 'modules.member_management.profile.units.edit', '991129b2-373c-11eb-92e1-e86a6413f6e6');