$( document ).ready(function() {
    $('body').click(function(evt){
        if(evt.target.class === "group-detailed-view-member-search-result-overlay")
            return;
        if($(evt.target).closest('.group-detailed-view-member-search-result-overlay').length)
            return;
        $(".group-detailed-view-member-search-result-overlay").hide();
    });

    //Remove current searchbar value on click
    $("#group-detailed-view-member-searchbar").on("click", GroupMemberSearch.searchbar_onclick);
    $("#group-detailed-view-member-searchbar").on("keyup", GroupMemberSearch.searchbar_typing);
    $("#group-detailed-view-member-searchbar").bind("paste", GroupMemberSearch.searchbar_typing);
    $("#group-detailed-view-member-searchbar").bind("cut", GroupMemberSearch.searchbar_typing);
    $("#group-detailed-view-member-searchbar").on("mouseenter", function (){
        $(".group-detailed-view-member-search-result-overlay").show();
    });
    $(".group-detailed-view-member-search-result-overlay").on("focusout", function (){
        $(".group-detailed-view-member-search-result-overlay").hide();
    })
    $(".group-detailed-view-member-search-result-overlay").on("mouseleave", function (){
        $(".group-detailed-view-member-search-result-overlay").hide();
    })
});

GroupMemberSearch = ( function() {
    var searchbar_onclick = function(){
      $("#group-detailed-view-member-searchbar").val("");
      $(".group-detailed-view-member-search-result-overlay").show()
    };
    var searchbar_typing = function (){
        $("#group-detailed-view-member-searchbar-type").html("");
        $(".group-detailed-view-member-search-result-overlay-list").html("");
        $(".group-detailed-view-member-search-result-overlay").show();

            $.ajax({
                url: '/api/members/',
                type: 'GET',
                data: {
                    "name": $("#group-detailed-view-member-searchbar").val()
                },
                contentType: 'application/json',
                success: function(data) {
                    if(is_ok(data)) {
                        $.each(data.members, function(index, value){
                            $(".group-detailed-view-member-search-result-overlay-list").append("<span onclick=\"GroupModule.add_member_click_listener(this)\" style=\"cursor: pointer\" data-entity-id=\""+value.entity_id+"\" data-firstname=\""+value.firstname+"\" data-lastname=\""+value.lastname+"\"><li class='list-group-item'><span class=\"badge badge-secondary\">Hinzufügen:</span> "+value.firstname+" "+value.lastname+"</li></span>")
                        });
                    }

                },
                timeout: 3000,
                error: function() {
                    alert("Verbindung zum Server unterbrochen!");
                }
            });
    };
    return {
        searchbar_onclick : searchbar_onclick,
        searchbar_typing : searchbar_typing,
    };
})();