$( document ).ready(function() {
    $('body').click(function(evt){
        if(evt.target.class === "search-result-overlay")
            return;
        if($(evt.target).closest('.search-result-overlay').length)
            return;
        $(".search-result-overlay").hide();
    });

    Searchbar.set_active_entity();
    //Remove current searchbar value on click
    $("#searchbar").on("click", Searchbar.searchbar_onclick);
    $("#searchbar").on("keyup", Searchbar.searchbar_typing);
    $("#searchbar").bind("paste", Searchbar.searchbar_typing);
    $("#searchbar").bind("cut", Searchbar.sWearchbar_typing);
    $("#searchbar").on("mouseenter", function (){
        $(".search-result-overlay").show();
    });
    $(".search-result-overlay").on("focusout", function (){
        $(".search-result-overlay").hide();
    })
    $(".search-result-overlay").on("mouseleave", function (){
        $(".search-result-overlay").hide();
    })
});

Searchbar = ( function() {
    var set_active_entity = function(){
        var entity_id = $("#searchbar").data("active-entity");
        var type = $("#searchbar").data("entity-type");

        if(type === "member" && entity_id !== ""){
            $("#searchbar-type").html("Mitglied: ");

            $.ajax({
                url: '/api/members/'+entity_id,
                type: 'GET',
                contentType: 'application/json',
                success: function(data) {
                    if(is_ok(data)) {
                        $("#searchbar").val(data.firstname+" "+data.lastname);
                    }
                },
                timeout: 3000,
                error: function() {
                    alert("Verbindung zum Server unterbrochen!");
                }
            });
        }else{
            console.log("Unknown search entity type: "+type);

        }
    };
    var searchbar_onclick = function(){
      $("#searchbar").val("");
      $(".search-result-overlay").show()
    };
    var searchbar_typing = function (){
        var type = $("#searchbar").data("entity-type");
        $("#searchbar-type").html("");
        $(".search-result-overlay-list").html("");
        $(".search-result-overlay").show();

        if(type === "member"){
            $.ajax({
                url: '/api/members/',
                type: 'GET',
                data: {
                    "name": $("#searchbar").val()
                },
                contentType: 'application/json',
                success: function(data) {
                    if(is_ok(data)) {
                        $.each(data.members, function(index, value){
                            $(".search-result-overlay-list").append("<a href=\"/portal/mm/profile?action=view&id="+value.entity_id+"\"><li class='list-group-item'><span class=\"badge badge-secondary\">Mitglied</span> "+value.firstname+" "+value.lastname+"</li></a>")
                        });
                    }

                },
                timeout: 3000,
                error: function() {
                    alert("Verbindung zum Server unterbrochen!");
                }
            });
        }else{
            $.ajax({
                url: '/api/members/',
                type: 'GET',
                data: {
                    "name": $("#searchbar").val()
                },
                contentType: 'application/json',
                success: function(data) {
                    if(is_ok(data)) {
                        $.each(data.members, function(index, value){
                            $(".search-result-overlay-list").append("<a href=\"/portal/mm/profile?action=view&id="+value.entity_id+"\"><li class='list-group-item'><span class=\"badge badge-secondary\">Mitglied</span> "+value.firstname+" "+value.lastname+"</li></a>")
                        });
                    }

                },
                timeout: 3000,
                error: function() {
                    alert("Verbindung zum Server unterbrochen!");
                }
            });
        }
    };
    return {
        set_active_entity : set_active_entity,
        searchbar_onclick : searchbar_onclick,
        searchbar_typing : searchbar_typing,
    };
})();