use crate::schema::addresses;

#[derive(AsChangeset, Queryable, Clone, Deserialize, Serialize, Insertable)]
#[table_name = "addresses"]
#[primary_key(id)]
#[changeset_options(treat_none_as_null = "true")]
pub struct Address {
    pub(crate) id: uuid::Uuid,
    pub(crate) title: Option<String>,
    pub(crate) street: Option<String>,
    pub(crate) number: Option<String>,
    pub(crate) zipcode: Option<String>,
    pub(crate) city: Option<String>,
    pub(crate) country: Option<String>,
}
