use uuid::Uuid;

#[derive(Queryable, Clone, Deserialize, Serialize)]
pub struct RawGroup {
    /// unique id (uuid) for every single group
    pub(crate) group_id: Uuid,
    /// group name
    pub(crate) name: String,
    /// optional group description
    pub(crate) description: Option<String>,
}

#[derive(Queryable, Clone, Deserialize, Serialize)]
pub struct GroupMemberCount {
    /// unique id (uuid) for every single group
    pub(crate) group_id: Uuid,
    /// group name
    pub(crate) name: String,
    /// optional group description
    pub(crate) description: Option<String>,
    /// number of members in group
    pub(crate) members_count: i64,
    /// true if caller has modules.member_management.groups.edit_core permission
    pub(crate) permission_edit_core: bool,
    pub(crate) permission_view_members: bool,
    pub(crate) permission_edit_members: bool,
    pub permission_delete: bool,
}
