use crate::helper::sitebuilder::model::alerts::{Alert, AlertClass};
use crate::helper::sitebuilder::model::sidebar::{
    EventManagement, MemberManagement, ResourceManagement, Sidebar, Summary,
};
use crate::modules::member_management::model::member::Member;

impl Alert {
    pub fn new(class: AlertClass, content: String) -> Alert {
        Alert { class, content }
    }
}

impl Sidebar {
    pub fn new(member: Member) -> Sidebar {
        Sidebar {
            firstname: member.firstname.clone(),
            lastname: member.lastname.clone(),
            summary: Summary {
                visible: member.has_permission("modules.dashboard.view".to_string()),
                active: false,
            },
            resource_management: ResourceManagement {
                visible: member.has_permission("modules.resource_management.view".to_string()),
                active: false,
            },
            member_management: MemberManagement {
                visible: member.has_permission("modules.member_management.view".to_string()),
                active: false,
            },
            event_management: EventManagement {
                visible: member.has_permission("modules.event_management.view".to_string()),
                active: false,
            },
        }
    }
}
