use crate::helper::sitebuilder::model::sidebar::Sidebar;

/// Site Header details
#[derive(Serialize)]
pub struct Header {
    /// html lang tag
    pub html_language: String,
    /// meta title tag
    pub site_title: String,
    /// stylesheets to be included
    pub stylesheets: Vec<Stylesheet>,
}

#[derive(Serialize)]
pub struct Stylesheet {
    pub path: String,
}

#[derive(Serialize)]
pub struct Script {
    pub path: String,
}

/// General footer which may contains js scripts
#[derive(Serialize)]
pub struct Footer {
    pub scripts: Vec<Script>,
}

#[derive(Serialize)]
pub struct Portal {
    pub header: Header,
    pub footer: Footer,
    pub sidebar: Sidebar,
}
