use crate::helper::sitebuilder::model::alerts::Alert;
use crate::helper::sitebuilder::model::general::{Footer, Header, Stylesheet};
use crate::helper::sitebuilder::model::sidebar::Sidebar;
use crate::modules::dashboard::model::dashboard_module::DashboardModule;
use crate::modules::member_management::model::member::Member;

pub fn get_context(member: Member, alert: Option<Alert>) -> DashboardModule {
    let header = Header {
        html_language: "en".to_string(),
        site_title: "Dashboard Test".to_string(),
        stylesheets: vec![Stylesheet {
            path: "/css/errms.css".to_string(),
        }],
    };
    let footer = Footer { scripts: vec![] };

    let mut sidebar = Sidebar::new(member);
    sidebar.summary.active = true;

    DashboardModule {
        header,
        footer,
        sidebar,
        alert,
        test: "Testtext".to_string(),
    }
}
