use rocket::State;
use crate::helper::settings::Settings;
use rocket::http::Status;
use rocket_contrib::templates::Template;
use crate::modules::member_management::model::member_module::MemberModuleCreate;
use crate::helper::sitebuilder::model::general::{Header, Footer, Stylesheet};
use crate::helper::sitebuilder::model::sidebar::Sidebar;
use crate::modules::member_management::model::member::{Member, CreateMemberForm};

pub fn render(settings: &State<Settings>, caller: Member) -> Result<MemberModuleCreate, Status>{
    let header = Header {
        html_language: "de".to_string(),
        site_title: "Mitglied erstellen".to_string(),
        stylesheets: vec![Stylesheet {
            path: "/css/errms.css".to_string(),
        }],
    };
    let footer = Footer{
        scripts: vec![]
    };
    let sidebar = Sidebar::new(caller);

    Ok(MemberModuleCreate{
        header,
        footer,
        sidebar})
}