use crate::database::model::users::User;
use crate::modules::member_management::model::login::Login;
use diesel::result::Error;

impl From<Result<Option<User>, diesel::result::Error>> for Login{
    fn from(u: Result<Option<User>, Error>) -> Self {
        match u{
            Ok(user_option) => match user_option{
                Some(user) => {
                    Login{
                        user_id: Some(user.id),
                        email: Some(user.email),
                        login_allowed: true
                    }
                },
                None => {
                    Login{
                        user_id: None,
                        email: None,
                        login_allowed: false
                    }
                }
            },
            Err(e) => Login{
                user_id: None,
                email: None,
                login_allowed: false
            }
        }
    }
}