use crate::helper::session_cookies::model::SessionCookie;
use crate::helper::settings::Settings;
use crate::modules::member_management::controller::member_groups::render;
use rocket::http::Status;
use rocket::State;
use rocket_contrib::templates::Template;

#[get("/portal/mm/groups")]
pub fn member_management_groups_get(
    cookie: SessionCookie,
    settings: State<Settings>,
) -> Result<Template, Status> {
    let caller = match cookie.member {
        //Unwraps member from cookie or send user to login if no member specified (user skipped member selection)
        Some(member) => member,
        None => return Err(Status::Unauthorized),
    };

    render(&settings, caller)
}
