use crate::helper::sitebuilder::model::alerts::Alert;
use crate::helper::sitebuilder::model::general::{Footer, Header, Stylesheet};
use crate::modules::welcome::model::welcome_module::WelcomeModule;

pub fn get_context(alert: Option<Alert>) -> WelcomeModule {
    let header = Header {
        html_language: "de".to_string(),
        site_title: "einsatz.online".to_string(),
        stylesheets: vec![Stylesheet {
            path: "/css/errms.css".to_string(),
        }],
    };
    let footer = Footer { scripts: vec![] };

    WelcomeModule {
        header,
        footer,
        logo_path: "/img/logo.jpg".to_string(),
        alert,
    }
}
