use crate::database::controller::members::get_members_by_user_uuid;
use crate::helper::session_cookies::model::{SessionCookie, SessionCookieStorage};
use crate::helper::settings::Settings;
use rocket::response::Redirect;
use rocket::State;
use rocket_contrib::templates::Template;

#[get("/loginselect")]
pub fn login_select_get(
    mut cookie: SessionCookie,
    cookie_storage: State<SessionCookieStorage>,
    settings: State<Settings>,
) -> Result<Template, Redirect> {
    let members = get_members_by_user_uuid(cookie.user.id, &settings);
    trace!(
        "Found {} members for user uuid {}",
        members.len(),
        cookie.user.id
    );

    //TODO: Add selection screen when there is more then 1 member available.
    match members.len() {
        1 => {
            cookie.member = Some(members[0].clone());
            cookie_storage.update(cookie);
            return Err(Redirect::to("/portal/"));
        }
        _ => {}
    }
    return Err(Redirect::to("/?error=notimplemented"));
}
