use crate::helper::session_cookies::model::{SessionCookie, SessionCookieStorage};
use crate::helper::settings::Settings;
use rocket::response::Redirect;
use rocket::State;

#[get("/portal/logout")]
pub fn logout_get(cookie: SessionCookie, cookie_storage: State<SessionCookieStorage>) -> Redirect {
    match cookie_storage.remove(cookie.id) {
        Some(_) => Redirect::to("/?error=logout_success"),
        None => Redirect::to("/?error=unauthorized"),
    }
}
